## ESelectable

ESelectable

## Functions

void | e_selectable_update_actions ()
void | e_selectable_cut_clipboard ()
void | e_selectable_copy_clipboard ()
void | e_selectable_paste_clipboard ()
void | e_selectable_delete_selection ()
void | e_selectable_select_all ()
void | e_selectable_undo ()
void | e_selectable_redo ()
GtkTargetList * | e_selectable_get_copy_target_list ()
GtkTargetList * | e_selectable_get_paste_target_list ()

## Properties

GtkTargetList * | copy-target-list | Read
GtkTargetList * | paste-target-list | Read

## Object Hierarchy

        GInterface
        ╰── ESelectable

## Description

## Functions

### e_selectable_update_actions ()

    void
    e_selectable_update_actions (ESelectable *selectable,
                                 EFocusTracker *focus_tracker,
                                 GdkAtom *clipboard_targets,
                                 gint n_clipboard_targets);

### e_selectable_cut_clipboard ()

    void
    e_selectable_cut_clipboard (ESelectable *selectable);

### e_selectable_copy_clipboard ()

    void
    e_selectable_copy_clipboard (ESelectable *selectable);

### e_selectable_paste_clipboard ()

    void
    e_selectable_paste_clipboard (ESelectable *selectable);

### e_selectable_delete_selection ()

    void
    e_selectable_delete_selection (ESelectable *selectable);

### e_selectable_select_all ()

    void
    e_selectable_select_all (ESelectable *selectable);

### e_selectable_undo ()

    void
    e_selectable_undo (ESelectable *selectable);

### e_selectable_redo ()

    void
    e_selectable_redo (ESelectable *selectable);

### e_selectable_get_copy_target_list ()

    GtkTargetList *
    e_selectable_get_copy_target_list (ESelectable *selectable);

### e_selectable_get_paste_target_list ()

    GtkTargetList *
    e_selectable_get_paste_target_list (ESelectable *selectable);

## Property Details

### The `“copy-target-list”` property

      “copy-target-list”         GtkTargetList *

Owner: ESelectable

Flags: Read

### The `“paste-target-list”` property

      “paste-target-list”        GtkTargetList *

Owner: ESelectable

Flags: Read